// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBDNQcATTAVF0X9N15mkgF8l8B9wcRTS44',
    appId: '1:591837347040:web:f278f019d3f9d298bae485',
    messagingSenderId: '591837347040',
    projectId: 'newproject-8b4a8',
    authDomain: 'newproject-8b4a8.firebaseapp.com',
    storageBucket: 'newproject-8b4a8.appspot.com',
    measurementId: 'G-869CHTMJDQ',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyD9OJHvVLX03ZIwoFEYGORU9exkduaMcTk',
    appId: '1:591837347040:android:7e9e3ffd03d93533bae485',
    messagingSenderId: '591837347040',
    projectId: 'newproject-8b4a8',
    storageBucket: 'newproject-8b4a8.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDW6-N6aLj-KBHArrsnHmtwsOKf_B7g2Co',
    appId: '1:591837347040:ios:eab016969c6c3da1bae485',
    messagingSenderId: '591837347040',
    projectId: 'newproject-8b4a8',
    storageBucket: 'newproject-8b4a8.appspot.com',
    iosClientId: '591837347040-bke239t5hjcpdmsfei7jca0sc8hnkbsq.apps.googleusercontent.com',
    iosBundleId: 'com.example.listViewTotal',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyDW6-N6aLj-KBHArrsnHmtwsOKf_B7g2Co',
    appId: '1:591837347040:ios:eab016969c6c3da1bae485',
    messagingSenderId: '591837347040',
    projectId: 'newproject-8b4a8',
    storageBucket: 'newproject-8b4a8.appspot.com',
    iosClientId: '591837347040-bke239t5hjcpdmsfei7jca0sc8hnkbsq.apps.googleusercontent.com',
    iosBundleId: 'com.example.listViewTotal',
  );
}
